Subject: RE: can not compile cscope on cygwin
From: Todorovic Vladica-VTODORO1 <[email-masked]>
To: [email-masked]
Cc: Mark Paulus <[email-masked]>, "'Anusha Parthasarathy'" <[email-masked]>
Date: Wed, 18 May 2005 11:33:26 -0500

Please don't send personal e-mails.

It looks like that your cvs tarball wasn't "pluged-in". As I see it, you have two options:

1. Use setup to install cvs on your system, then put the cvs tarball in your cvs repository, and then check out the files. Alternativelly, you could follow instuctions on http://sourceforge.net/cvs/?group_id=4664 to get source files and skip cvs tarball completely. Anyway, you'll probably need to consult cvs man pages in order to get through this.

2. You can try to  manually rename files and strip them of change history. Needless to say, it may take while to do this and it may be error prone process -- the experiance you've already had.

Vladica

-----Original Message-----
From: Anusha Parthasarathy [mailto:[email-masked]] 
Sent: Tuesday, May 17, 2005 10:20 PM
To: Todorovic Vladica-VTODORO1
Cc: Mark Paulus
Subject: RE: can not compile cscope on cygwin

Hi,

Thanks for the reply. I did rerun configure
after installingflex, bison and everything else.

I tried Sunday night's tarball oncvs. I'm not 
sure I followed the correct procedure for building - ifsuch a procedure is well known and
different from the standarddistribution, can
you please point me to it.

The files in thetarball are suffixed with ",v"
and the makefile and the configure file,have
an attached change log that cause a lot of
error messages(possibly noise). But even
the tarball did not build - makeinstantly
gave an error (sorry, I missed copying this one
for the list- but it was something very basic,
like as if the makefile was notwritten properly).
I even tried removing the change log stuff(which
strangely enough did not seem commented), and
rerunning(starting with configure), but to 
no avail.

Regards
Arvind.

[email-masked]:

> 
I remember having similarproblems with 15.5, but cvs version was ok.Now, I haven't tried to build cscope recently, but the last time Itried, the cvs version was building (and working) just fine. 

Did youtry cvs?

Vladica

-----Original Message-----
From: Arvind[mailto:[email-masked]] 
Sent: Saturday, May 14, 2005 9:13AM
To: [email-masked]
Subject: Re: can not compile cscope oncygwin

Mark Paulus  mci.com> writes:

> 
> Ijust tried this, and it appears that you don't have
> lex/flex and/orbison/byacc installed.  Apparently
> these aren't selected by defaultfrom the cygwin
> setup tool.  Re-run the cygwin setup tool, and under
> Devel, select bison and flex, and you should be good
> to go.
>

tried that.. but got:-
-------------------------------------------------------------
make all-recursive
make[1]: Entering directory`/cygdrive/c/cscope/cscope-15.5'
Making all in doc
make[2]: Enteringdirectory `/cygdrive/c/cscope/cscope-15.5/doc'
make[2]: Nothing to bedone for `all'.
make[2]: Leaving directory`/cygdrive/c/cscope/cscope-15.5/doc'
Making all in src
make[2]:Entering directory `/cygdrive/c/cscope/cscope-15.5/src'
bison -y  `test -f 'egrep.y' || echo './'`egrep.y
conflicts: 2shift/reduce
make[2]: *** [egrep.c] Broken pipe
make[2]: Leavingdirectory `/cygdrive/c/cscope/cscope-15.5/src'
make[1]: ***[all-recursive] Error 1
make[1]: Leaving directory`/cygdrive/c/cscope/cscope-15.5'
make: *** [all] Error2
-------------------------------------------------------------

Arvind.

> On Wed, 27 Apr 2005 15:46:47 -0400 (EDT), Igor Pechtchanskiwrote:
> 
> >On Wed, 27 Apr 2005, lin q wrote:
> 
> >> Hi,
> >>  Iam using latest version cygwin and I just downloaded cscope 15.5, butin
> >> compiling it there is such error,
> >>
> >> $ make
> >> make all-recursive
> >> make[1]: Entering directory `/c/bin/cscope-15.5'
>>> Making all in doc
> >> make[2]: Entering directory`/c/bin/cscope-15.5/doc'
> >> make[2]: Nothing to be done for `all'.
>>> make[2]: Leaving directory `/c/bin/cscope-15.5/doc'
> >> Making allin src
> >> make[2]: Entering directory `/c/bin/cscope-15.5/src'
> >>/bin/bash ../ylwrap `test -f 'fscanner.l' || echo './'`fscanner.l .c
>>> fscanner.c -- :
> >> make[2]: *** [fscanner.c] Error 1
> >>make[2]: Leaving directory `/c/bin/cscope-15.5/src'
> >> make[1]: ***[all-recursive] Error 1
> >> make[1]: Leaving directory`/c/bin/cscope-15.5'
> >> make: *** [all] Error 2
> >>
> >> Do youknow what is wrong?
> 
> >Please review and follow
> >> Problemreports:       http://cygwin.com/problems.html
> >to provide enoughinformation about your installation for this list to
> >help you.
>
> >Without the above information, I would guess that it's a lineending issue
> >of some sort (since you're using /c, and I suppose yourcygdrive prefix is
> >empty rather than "c:" being mounted on /cexplicitly).
> 
> >> Is there any pre-compiled cscope for cygwinsomewhere?
> 
> >According to , the onlymatches for "cscope"
> >are in the vim source package, so no, thereisn't an official cscope
> >package.  You can Google for unofficialones, I suppose.
> >	Igor
> >-- 
>>				http://cs.nyu.edu/~pechtcha/
> >      |      _,,,---,,_		pechtcha cs.nyu.edu
> >ZZZzz /,`.-'`'    -.  ;-;;,_		igor watson.ibm.com
> >     |,4-  ) )-,_. , (  `'-'		Igor Pechtchanski,Ph.D.
> >    '---''(_/--'  `-'_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-. Meow!
> 
> >"The Sun will pass between the Earth and the Moon tonightfor a total
> >Lunar eclipse..." -- WCBS Radio Newsbrief, Oct 27 2004,12:01 pm EDT
> 
> >--
> >Unsubscribe info:     http://cygwin.com/ml/#unsubscribe-simple
> >Problem reports:      http://cygwin.com/problems.html
> >Documentation:        http://cygwin.com/docs.html
> >FAQ:                  http://cygwin.com/faq/
> 
> 

 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/